<?php
$tdata___________ = array();
$tdata___________[".searchableFields"] = array();
$tdata___________[".ShortName"] = "___________";
$tdata___________[".OwnerID"] = "";
$tdata___________[".OriginalTable"] = "statistics_region";


$tdata___________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata___________[".originalPagesByType"] = $tdata___________[".pagesByType"];
$tdata___________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata___________[".originalPages"] = $tdata___________[".pages"];
$tdata___________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata___________[".originalDefaultPages"] = $tdata___________[".defaultPages"];

//	field labels
$fieldLabels___________ = array();
$fieldToolTips___________ = array();
$pageTitles___________ = array();
$placeHolders___________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels___________["English"] = array();
	$fieldToolTips___________["English"] = array();
	$placeHolders___________["English"] = array();
	$pageTitles___________["English"] = array();
	$fieldLabels___________["English"]["name"] = "المنطقة";
	$fieldToolTips___________["English"]["name"] = "";
	$placeHolders___________["English"]["name"] = "";
	$fieldLabels___________["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips___________["English"]["CountOfnumPers"] = "";
	$placeHolders___________["English"]["CountOfnumPers"] = "";
	$fieldLabels___________["English"]["total"] = "المجموع";
	$fieldToolTips___________["English"]["total"] = "";
	$placeHolders___________["English"]["total"] = "";
	$fieldLabels___________["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips___________["English"]["percentage"] = "";
	$placeHolders___________["English"]["percentage"] = "";
	$fieldLabels___________["English"]["ma3"] = "مع";
	$fieldToolTips___________["English"]["ma3"] = "";
	$placeHolders___________["English"]["ma3"] = "";
	$fieldLabels___________["English"]["dod"] = "ضد";
	$fieldToolTips___________["English"]["dod"] = "";
	$placeHolders___________["English"]["dod"] = "";
	$fieldLabels___________["English"]["tachkil"] = "تشكيل";
	$fieldToolTips___________["English"]["tachkil"] = "";
	$placeHolders___________["English"]["tachkil"] = "";
	$fieldLabels___________["English"]["majhoul"] = "مجهول";
	$fieldToolTips___________["English"]["majhoul"] = "";
	$placeHolders___________["English"]["majhoul"] = "";
	if (count($fieldToolTips___________["English"]))
		$tdata___________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels___________["Arabic"] = array();
	$fieldToolTips___________["Arabic"] = array();
	$placeHolders___________["Arabic"] = array();
	$pageTitles___________["Arabic"] = array();
	$fieldLabels___________["Arabic"]["name"] = "المنطقة";
	$fieldToolTips___________["Arabic"]["name"] = "";
	$placeHolders___________["Arabic"]["name"] = "";
	$fieldLabels___________["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips___________["Arabic"]["CountOfnumPers"] = "";
	$placeHolders___________["Arabic"]["CountOfnumPers"] = "";
	$fieldLabels___________["Arabic"]["total"] = "المجموع";
	$fieldToolTips___________["Arabic"]["total"] = "";
	$placeHolders___________["Arabic"]["total"] = "";
	$fieldLabels___________["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips___________["Arabic"]["percentage"] = "";
	$placeHolders___________["Arabic"]["percentage"] = "";
	$fieldLabels___________["Arabic"]["ma3"] = "مع";
	$fieldToolTips___________["Arabic"]["ma3"] = "";
	$placeHolders___________["Arabic"]["ma3"] = "";
	$fieldLabels___________["Arabic"]["dod"] = "ضد";
	$fieldToolTips___________["Arabic"]["dod"] = "";
	$placeHolders___________["Arabic"]["dod"] = "";
	$fieldLabels___________["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTips___________["Arabic"]["tachkil"] = "";
	$placeHolders___________["Arabic"]["tachkil"] = "";
	$fieldLabels___________["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTips___________["Arabic"]["majhoul"] = "";
	$placeHolders___________["Arabic"]["majhoul"] = "";
	if (count($fieldToolTips___________["Arabic"]))
		$tdata___________[".isUseToolTips"] = true;
}


	$tdata___________[".NCSearch"] = true;

	$tdata___________[".ChartRefreshTime"] = 0;


$tdata___________[".shortTableName"] = "___________";
$tdata___________[".nSecOptions"] = 0;

$tdata___________[".mainTableOwnerID"] = "";
$tdata___________[".entityType"] = 3;
$tdata___________[".connId"] = "electiondb_at_ssl_localhost";


$tdata___________[".strOriginalTableName"] = "statistics_region";

	



$tdata___________[".showAddInPopup"] = false;

$tdata___________[".showEditInPopup"] = false;

$tdata___________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata___________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata___________[".listAjax"] = false;
//	temporary
$tdata___________[".listAjax"] = false;

	$tdata___________[".audit"] = false;

	$tdata___________[".locking"] = false;


$pages = $tdata___________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata___________[".edit"] = true;
	$tdata___________[".afterEditAction"] = 1;
	$tdata___________[".closePopupAfterEdit"] = 1;
	$tdata___________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata___________[".add"] = true;
$tdata___________[".afterAddAction"] = 1;
$tdata___________[".closePopupAfterAdd"] = 1;
$tdata___________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata___________[".list"] = true;
}



$tdata___________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata___________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata___________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata___________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata___________[".printFriendly"] = true;
}



$tdata___________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata___________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata___________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata___________[".isUseAjaxSuggest"] = true;






$tdata___________[".ajaxCodeSnippetAdded"] = false;

$tdata___________[".buttonsAdded"] = false;

$tdata___________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata___________[".isUseTimeForSearch"] = false;


$tdata___________[".badgeColor"] = "B22222";


$tdata___________[".allSearchFields"] = array();
$tdata___________[".filterFields"] = array();
$tdata___________[".requiredSearchFields"] = array();




$tdata___________[".tableType"] = "chart";

$tdata___________[".printerPageOrientation"] = 0;
$tdata___________[".nPrinterPageScale"] = 100;

$tdata___________[".nPrinterSplitRecords"] = 40;

$tdata___________[".geocodingEnabled"] = false;



// chart settings
$tdata___________[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata___________[".strOrderBy"] = $tstrOrderBy;

$tdata___________[".orderindexes"] = array();


$tdata___________[".sqlHead"] = "SELECT name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdata___________[".sqlFrom"] = "FROM statistics_region";
$tdata___________[".sqlWhereExpr"] = "";
$tdata___________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata___________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata___________[".arrGroupsPerPage"] = $arrGPP;

$tdata___________[".highlightSearchResults"] = true;

$tableKeys___________ = array();
$tdata___________[".Keys"] = $tableKeys___________;


$tdata___________[".hideMobileList"] = array();




//	name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "name";
	$fdata["GoodName"] = "name";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["name"] = $fdata;
		$tdata___________[".searchableFields"][] = "name";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["CountOfnumPers"] = $fdata;
		$tdata___________[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["total"] = $fdata;
		$tdata___________[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["percentage"] = $fdata;
		$tdata___________[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["ma3"] = $fdata;
		$tdata___________[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["dod"] = $fdata;
		$tdata___________[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["tachkil"] = $fdata;
		$tdata___________[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("___________","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata___________["majhoul"] = $fdata;
		$tdata___________[".searchableFields"][] = "majhoul";

$tdata___________[".chartLabelField"] = "name";
$tdata___________[".chartSeries"] = array();
$tdata___________[".chartSeries"][] = array( 
	"field" => "majhoul",
	"total" => ""
);
$tdata___________[".chartSeries"][] = array( 
	"field" => "tachkil",
	"total" => ""
);
$tdata___________[".chartSeries"][] = array( 
	"field" => "dod",
	"total" => ""
);
$tdata___________[".chartSeries"][] = array( 
	"field" => "ma3",
	"total" => ""
);
$tdata___________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata___________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">حسب المنطقة</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdata___________[".chartXml"] .= '<attr value="0">
			<attr value="name">majhoul</attr>';
	$tdata___________[".chartXml"] .= '</attr>';
	$tdata___________[".chartXml"] .= '<attr value="1">
			<attr value="name">tachkil</attr>';
	$tdata___________[".chartXml"] .= '</attr>';
	$tdata___________[".chartXml"] .= '<attr value="2">
			<attr value="name">dod</attr>';
	$tdata___________[".chartXml"] .= '</attr>';
	$tdata___________[".chartXml"] .= '<attr value="3">
			<attr value="name">ma3</attr>';
	$tdata___________[".chartXml"] .= '</attr>';
	$tdata___________[".chartXml"] .= '<attr value="4">
			<attr value="name">percentage</attr>';
	$tdata___________[".chartXml"] .= '</attr>';
	$tdata___________[".chartXml"] .= '<attr value="5">
		<attr value="name">name</attr>
	</attr>';
	$tdata___________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata___________[".chartXml"] .= '<attr value="head">'.xmlencode("عامودي حسب المنطقة").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata___________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata___________[".chartXml"] .= '<attr value="0">
		<attr value="name">name</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","name")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="1">
		<attr value="name">CountOfnumPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","CountOfnumPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="2">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="3">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="4">
		<attr value="name">ma3</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","ma3")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="5">
		<attr value="name">dod</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","dod")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="6">
		<attr value="name">tachkil</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","tachkil")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata___________[".chartXml"] .= '<attr value="7">
		<attr value="name">majhoul</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("___________","majhoul")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata___________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">حسب المنطقة</attr>
<attr value="short_table_name">___________</attr>
</attr>

</chart>';

$tables_data["حسب المنطقة"]=&$tdata___________;
$field_labels["___________"] = &$fieldLabels___________;
$fieldToolTips["___________"] = &$fieldToolTips___________;
$placeHolders["___________"] = &$placeHolders___________;
$page_titles["___________"] = &$pageTitles___________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["حسب المنطقة"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["حسب المنطقة"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery____________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_region";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "name",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto6["m_sql"] = "name";
$proto6["m_srcTableName"] = "حسب المنطقة";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto8["m_sql"] = "CountOfnumPers";
$proto8["m_srcTableName"] = "حسب المنطقة";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto10["m_sql"] = "total";
$proto10["m_srcTableName"] = "حسب المنطقة";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto12["m_sql"] = "percentage";
$proto12["m_srcTableName"] = "حسب المنطقة";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto14["m_sql"] = "ma3";
$proto14["m_srcTableName"] = "حسب المنطقة";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto16["m_sql"] = "dod";
$proto16["m_srcTableName"] = "حسب المنطقة";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto18["m_sql"] = "tachkil";
$proto18["m_srcTableName"] = "حسب المنطقة";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "حسب المنطقة"
));

$proto20["m_sql"] = "majhoul";
$proto20["m_srcTableName"] = "حسب المنطقة";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "statistics_region";
$proto23["m_srcTableName"] = "حسب المنطقة";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "name";
$proto23["m_columns"][] = "CountOfnumPers";
$proto23["m_columns"][] = "total";
$proto23["m_columns"][] = "percentage";
$proto23["m_columns"][] = "ma3";
$proto23["m_columns"][] = "dod";
$proto23["m_columns"][] = "tachkil";
$proto23["m_columns"][] = "majhoul";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "statistics_region";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "حسب المنطقة";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="حسب المنطقة";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData____________ = createSqlQuery____________();


	
		;

								

$tdata___________[".sqlquery"] = $queryData____________;



$tableEvents["حسب المنطقة"] = new eventsBase;
$tdata___________[".hasEvents"] = false;

?>